POST /v1/billing/gifts/checkout-session/\{session_id\}/finalize
Service: payments · operationId: (none)
Required scopes
(no scope declared — review service config)
Path parameters
session_id(string) required —
Responses
200 Gift checkout finalized
{
"type": "object",
"properties": {
"id": {
"type": "string"
},
"code": {
"type": "string"
},
"status": {
"type": "string"
},
"recipient_email": {
"type": "string",
"format": "email"
},
"recipient_name": {
"type": "string"
},
"tier": {
"type": "string"
},
"duration_months": {
"type": "number"
},
"redeemed_by_user_id": {
"type": [
"string",
"null"
]
}
},
"required": [
"id",
"code",
"status",
"recipient_email",
"recipient_name",
"tier",
"duration_months",
"redeemed_by_user_id"
]
}403 Gift checkout belongs to a different purchaser
{
"type": "object",
"properties": {
"error": {
"type": "string"
},
"message": {
"type": "string"
}
},
"required": [
"error",
"message"
]
}404 Gift checkout not found
{
"type": "object",
"properties": {
"error": {
"type": "string"
},
"message": {
"type": "string"
}
},
"required": [
"error",
"message"
]
}412 Gift checkout not yet paid
{
"type": "object",
"properties": {
"error": {
"type": "string"
},
"message": {
"type": "string"
}
},
"required": [
"error",
"message"
]
}Example
curl -X POST https://payments.platform.loop.health/v1/billing/gifts/checkout-session/{session_id}/finalize \
-H "Authorization: Bearer $ACCESS_TOKEN"Related
services/payments— service overview- All endpoints — directory across services
- Auth model — how scopes are enforced